/* format.c -- format xyplot data
 * Copyright (C) 1994 David Deaven
 *
 * This file is part of xyplot.
 *
 * xyplot is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * xyplot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with xyplot; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: format.c,v 1.2 1995/09/05 13:59:38 deaven Exp $
 */
#include <stdio.h>
#include "xyplot.h"

/* Return the representation of the data in xyplot-readable form.
 */
char *XYFormat(double a)
{
	static char buf[16];

	if(a == XY_NULL) return "null";

	sprintf(buf, "%.5g", a);
	return buf;
}
